commit:     7a333ff6005c2be41fbc07e448e0eb82a848a7a6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  3 08:44:32 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr  3 08:46:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a333ff6

dev-python/ftfy: New package, v6.2.0

New dependency of dev-python/denonavr.  Of course, suffers from all
the common mistakes of dev-python/poetry users.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ftfy/Manifest                      |  1 +
 dev-python/ftfy/files/ftfy-6.2.0-poetry.patch | 36 +++++++++++++++++++++++++
 dev-python/ftfy/ftfy-6.2.0.ebuild             | 39 +++++++++++++++++++++++++++
 dev-python/ftfy/metadata.xml                  | 12 +++++++++
 4 files changed, 88 insertions(+)

diff --git a/dev-python/ftfy/Manifest b/dev-python/ftfy/Manifest
new file mode 100644
index 000000000000..9674b6ec25b7
--- /dev/null
+++ b/dev-python/ftfy/Manifest
@@ -0,0 +1 @@
+DIST ftfy-6.2.0.tar.gz 63675 BLAKE2B 
4d2455c004737b2914edcdf22dc53e433f1f9d9a1b469f8b34069ce7a4b04c30a5b2a0d76db35d8e1f9ba0469cdff604271e7331f9fca0d8b579cc61c422cde1
 SHA512 
31724b3f65936a146f567a493988b3a3ce5ba87ac7578b97a64f0946cc20d09fcab040964cec9bcf3fbac1f79cad0b67c5e74aaa871a7d6c856f5939e7a30529

diff --git a/dev-python/ftfy/files/ftfy-6.2.0-poetry.patch 
b/dev-python/ftfy/files/ftfy-6.2.0-poetry.patch
new file mode 100644
index 000000000000..1766a9aa98b9
--- /dev/null
+++ b/dev-python/ftfy/files/ftfy-6.2.0-poetry.patch
@@ -0,0 +1,36 @@
+From 4ef6eeef8764086816034992705d4a4ebba4e88c Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgo...@gentoo.org>
+Date: Wed, 3 Apr 2024 10:33:02 +0200
+Subject: [PATCH] fix pyproject.toml not to install stray files into
+ site-packages
+
+Fix the `include` directives in `pyproject.toml` to include the relevant
+files in `sdist` archives only and not in wheels, where they end up
+being installed straight into site-packages, e.g. as:
+
+    /usr/lib/python3.12/site-packages/CHANGELOG.md
+    /usr/lib/python3.12/site-packages/README.md
+---
+ pyproject.toml | 6 +++++-
+ 1 file changed, 5 insertions(+), 1 deletion(-)
+
+diff --git a/pyproject.toml b/pyproject.toml
+index fc3e6b9..3bc68e2 100644
+--- a/pyproject.toml
++++ b/pyproject.toml
+@@ -4,7 +4,11 @@ version = "6.2.0"
+ description = "Fixes mojibake and other problems with Unicode, after the fact"
+ authors = ["Robyn Speer <rsp...@arborelia.net>"]
+ license = "Apache-2.0"
+-include = ["README.md", "CHANGELOG.md", "tests"]
++include = [
++    {path = "README.md", format = "sdist"},
++    {path = "CHANGELOG.md", format = "sdist"},
++    {path = "tests", format = "sdist"},
++]
+ readme = "README.md"
+ 
+ [tool.poetry.dependencies]
+-- 
+2.44.0
+

diff --git a/dev-python/ftfy/ftfy-6.2.0.ebuild 
b/dev-python/ftfy/ftfy-6.2.0.ebuild
new file mode 100644
index 000000000000..a517d4b525a1
--- /dev/null
+++ b/dev-python/ftfy/ftfy-6.2.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fixes mojibake and other problems with Unicode, after the fact"
+HOMEPAGE="
+       https://ftfy.readthedocs.io/en/latest/
+       https://github.com/rspeer/python-ftfy/
+       https://pypi.org/project/ftfy/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       <dev-python/wcwidth-0.3[${PYTHON_USEDEP}]
+       >=dev-python/wcwidth-0.2.12[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       local PATCHES=(
+               # https://github.com/rspeer/python-ftfy/pull/204
+               "${FILESDIR}/${P}-poetry.patch"
+       )
+
+       # https://github.com/rspeer/python-ftfy/pull/205
+       sed -i -e "s:'poetry', 'run',::" tests/test_cli.py || die
+
+       distutils-r1_src_prepare
+}

diff --git a/dev-python/ftfy/metadata.xml b/dev-python/ftfy/metadata.xml
new file mode 100644
index 000000000000..7facc3ac34b4
--- /dev/null
+++ b/dev-python/ftfy/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>pyt...@gentoo.org</email>
+       </maintainer>
+       <stabilize-allarches/>
+       <upstream>
+               <remote-id type="github">rspeer/python-ftfy</remote-id>
+               <remote-id type="pypi">ftfy</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to